FreeMat

- Main Page
- Related Pages

vtkStringToTimePoint

Section: Visualization Toolkit Infovis Classes

# Usage

vtkStringToTimePoint is a filter for converting a string array into a datetime, time or date array. The input strings must conform to one of the ISO8601 formats defined in vtkTimePointUtility.

The input array specified by SetInputArrayToProcess(...) indicates the array to process. This array must be of type vtkStringArray.

The output array will be of type vtkTypeUInt64Array.

To create an instance of class vtkStringToTimePoint, simply invoke its constructor as follows

      obj = vtkStringToTimePoint

# Methods

The class vtkStringToTimePoint has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStringToTimePoint class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStringToTimePoint = obj.NewInstance ()`
- `vtkStringToTimePoint = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutputArrayName (string )` - The name of the output array. If this is not specified, the name will be the same as the input array name with either " [to datetime]", " [to date]", or " [to time]" appended.
- `string = obj.GetOutputArrayName ()` - The name of the output array. If this is not specified, the name will be the same as the input array name with either " [to datetime]", " [to date]", or " [to time]" appended.